Index: conf/nas.a.rt.testbed.aaa/freeDiameter/CMakeFlags
===================================================================
--- conf/nas.a.rt.testbed.aaa/freeDiameter/CMakeFlags	(revision 15)
+++ conf/nas.a.rt.testbed.aaa/freeDiameter/CMakeFlags	(revision 0)
@@ -1,9 +1,1 @@
--DBUILD_TEST_APP:BOOL=ON 
--DBUILD_TEST_RT_ANY:BOOL=ON 
--DBUILD_RT_REDIRECT:BOOL=ON 
--DBUILD_DBG_MONITOR:BOOL=ON 
--DBUILD_DBG_INTERACTIVE:BOOL=ON 
--DBUILD_DBG_RT:BOOL=ON 
--DBUILD_TESTING:BOOL=OFF 
--DCMAKE_BUILD_TYPE:STRING=Debug 
--DDEFAULT_CONF_PATH:PATH=/root/conf/freeDiameter
+-DBUILD_TEST_APP:BOOL=ON -DBUILD_TEST_RT_ANY:BOOL=ON -DBUILD_DBG_MONITOR:BOOL=ON -DBUILD_DBG_RT:BOOL=ON -DSKIP_TESTS:BOOL=ON -DCMAKE_BUILD_TYPE:STRING=Debug -DDEFAULT_CONF_PATH:PATH=/root/conf/freeDiameter
Index: conf/nas.a.rt.testbed.aaa/freeDiameter/freeDiameter.conf
===================================================================
--- conf/nas.a.rt.testbed.aaa/freeDiameter/freeDiameter.conf	(revision 15)
+++ conf/nas.a.rt.testbed.aaa/freeDiameter/freeDiameter.conf	(revision 0)
@@ -1,29 +1,63 @@
+# This is a sample configuration file for freeDiameter daemon.
 
+##############################################################
+#Identity = "aaa.koganei.wide.ad.jp";
+#Realm = "wide.ad.jp";
+
+##############################################################
+#Port = 3868;
+#SecPort = 3869;
+#TLS_old_method;
+#No_TCP;
+#No_SCTP;
+#Prefer_TCP;
+#SCTP_streams = 30;
 SCTP_streams = 3;
+
+##############################################################
+#No_IP;
+#No_IPv6;
+#ListenOn = "202.249.37.5";
+#ListenOn = "2001:200:903:2::202:1";
+#ListenOn = "fe80::21c:5ff:fe98:7d62%eth0";
+
+##############################################################
 TLS_Cred = "/root/ca_data/cert.pem" , "/root/ca_data/privkey.pem";
 TLS_CA = "/root/ca_data/ca.pem";
+# TLS_CRL = "/root/ca_data/crl.pem";
+
+#TLS_Prio = "NORMAL";
+#TLS_DH_Bits = 1024;
+
+##############################################################
+#TcTimer = 30;
+#TwTimer = 30;
+
+##############################################################
 NoRelay;
 
+##############################################################
+#LoadExtension = "/path/to/extension" [ : "/optional/configuration/file" ] ;
+
+##############################################################
+#ConnectPeer = "diameterid" [ params... ] ;
+#   params: No_TCP; No_SCTP; No_IP; No_IPv6; Prefer_TCP; TLS_old_method; No_TLS;
+#           Port = 3868; TcTimer = 30; TwTimer = 30; ConnectTo = "202.249.37.5"; TLS_Prio = "NORMAL";
+
+
+##############################################################
 # -------- Test configuration ---------
 
-# LoadExtension = "/root/freeDiameter/extensions/dbg_monitor.fdx";
+LoadExtension = "/root/freeDiameter/extensions/dbg_monitor.fdx";
 # LoadExtension = "/root/freeDiameter/extensions/dbg_rt.fdx";
 # LoadExtension = "/root/freeDiameter/extensions/test_rt_any.fdx";
-
 LoadExtension = "/root/freeDiameter/extensions/test_app.fdx"
 		: "/root/conf/freeDiameter/test_app.conf";
-# LoadExtension = "/root/freeDiameter/extensions/dbg_interactive.fdx";
+LoadExtension = "/root/freeDiameter/extensions/rt_default.fdx"
+		: "/root/conf/freeDiameter/rtd.conf";
+
+# ConnectPeer = "serv.simple.testbed.aaa" ;
+ConnectPeer = "proxy.a.rt.testbed.aaa" ;
+ConnectPeer = "proxy.b.rt.testbed.aaa" ;
 
 
-LoadExtension = "/root/freeDiameter/extensions/rt_default.fdx"
-		: "/root/conf/freeDiameter/rtd.conf";
-ConnectPeer = "proxy.a.rt.testbed.aaa" ;
-		
-		
-# For failover testing:
-#ConnectPeer = "proxy.b.rt.testbed.aaa" ;
-
-# For redirect testing:
-ConnectPeer = "relay.a.rt.testbed.aaa" ;
-LoadExtension = "/root/freeDiameter/extensions/rt_redirect.fdx";
-
Index: conf/nas.a.rt.testbed.aaa/freeDiameter/python_.py
===================================================================
--- conf/nas.a.rt.testbed.aaa/freeDiameter/python_.py	(revision 14)
+++ 	(revision )
@@ -1,66 +1,0 @@
-gdict = cvar.fd_g_config.cnf_dict
-d_si = gdict.search ( DICT_AVP, AVP_BY_NAME, "Session-Id" )
-d_oh  = gdict.search ( DICT_AVP, AVP_BY_NAME, "Origin-Host" )
-d_or  = gdict.search ( DICT_AVP, AVP_BY_NAME, "Origin-Realm" )
-d_dh  = gdict.search ( DICT_AVP, AVP_BY_NAME, "Destination-Host" )
-d_dr  = gdict.search ( DICT_AVP, AVP_BY_NAME, "Destination-Realm" )
-d_rc  = gdict.search ( DICT_AVP, AVP_BY_NAME, "Result-Code" )
-d_vnd = gdict.new_obj(DICT_VENDOR, 	dict_vendor_data(999999, 	"app_test_py vendor") )
-d_app = gdict.new_obj(DICT_APPLICATION, dict_application_data(0xffffff, "app_test_py appli"), d_vnd)
-d_req = gdict.new_obj(DICT_COMMAND, 	dict_cmd_data(0xfffffe, "Test_py-Request", 1), d_app)
-d_ans = gdict.new_obj(DICT_COMMAND, 	dict_cmd_data(0xfffffe, "Test_py-Answer",  0), d_app)
-d_avp = gdict.new_obj(DICT_AVP, 	dict_avp_data(0xffffff, "app_test_py avp", AVP_TYPE_INTEGER32, 999999 ))
-gdict.new_obj(DICT_RULE, dict_rule_data(d_si, RULE_FIXED_HEAD, 1, 1), d_req)
-gdict.new_obj(DICT_RULE, dict_rule_data(d_si, RULE_FIXED_HEAD, 1, 1), d_ans)
-gdict.new_obj(DICT_RULE, dict_rule_data(d_avp, RULE_REQUIRED, 1, 1), d_req)
-gdict.new_obj(DICT_RULE, dict_rule_data(d_avp, RULE_REQUIRED, 1, 1), d_ans)
-gdict.new_obj(DICT_RULE, dict_rule_data(d_oh, RULE_REQUIRED, 1, 1), d_req)
-gdict.new_obj(DICT_RULE, dict_rule_data(d_oh, RULE_REQUIRED, 1, 1), d_ans)
-gdict.new_obj(DICT_RULE, dict_rule_data(d_or, RULE_REQUIRED, 1, 1), d_req)
-gdict.new_obj(DICT_RULE, dict_rule_data(d_or, RULE_REQUIRED, 1, 1), d_ans)
-gdict.new_obj(DICT_RULE, dict_rule_data(d_dr, RULE_REQUIRED, 1, 1), d_req)
-gdict.new_obj(DICT_RULE, dict_rule_data(d_dh, RULE_OPTIONAL, 0, 1), d_req)
-gdict.new_obj(DICT_RULE, dict_rule_data(d_rc, RULE_REQUIRED, 1, 1), d_ans)
-
-def receive_answer(ans, testval):
-   if (ans.is_request()):
-     print "Request was expired before receiving answer..."
-     return None
-   try:
-     tval = ans.search(d_avp).header().avp_value.u32
-   except:
-     print "Error in receive_answer: no Test-AVP included"
-     tval = 0
-   try:
-     print "Py RECV %x (expected: %x) Status: %d From: '%s'" % (tval, testval, ans.search(d_rc).header().avp_value.u32, ans.search(d_oh).header().avp_value.os.as_str())
-   except:
-     print "Error in receive_answer: Result-Code or Origin-Host are missing"
-   del ans
-   return None
-
-import random
-
-def send_query(destrealm="b.rt.testbed.aaa"):
-   qry = msg(d_req)
-   sess = session()
-   tv = random.randint(1, 1<<32)
-   # Session-Id
-   a = avp(d_si, AVPFL_SET_BLANK_VALUE)
-   a.header().avp_value.os = sess.getsid()
-   qry.add_child(a)
-   # Destination-Realm
-   a = avp(d_dr, AVPFL_SET_BLANK_VALUE)
-   a.header().avp_value.os = destrealm
-   qry.add_child(a)
-   # Origin-Host, Origin-Realm
-   qry.add_origin()
-   # Test-AVP
-   a = avp(d_avp, AVPFL_SET_BLANK_VALUE)
-   a.header().avp_value.u32 = tv
-   qry.add_child(a)
-   print "Py SEND %x to '%s'" % (tv, destrealm)
-   qry.send(receive_answer, tv, 1)
-
-send_query()
-
-
Index: conf/nas.a.rt.testbed.aaa/freeDiameter/rtd.conf
===================================================================
--- conf/nas.a.rt.testbed.aaa/freeDiameter/rtd.conf	(revision 15)
+++ conf/nas.a.rt.testbed.aaa/freeDiameter/rtd.conf	(revision 0)
@@ -1,4 +1,2 @@
-# Our local relay is default route for all messages
-* : "relay.a.rt.testbed.aaa" += 6; # This is "default + 1" so that it is prefered when possible
+# Our local proxy is default route for all messages
 * : "proxy.a.rt.testbed.aaa" += DEFAULT;
-* : "proxy.b.rt.testbed.aaa" += DEFAULT;
